Simple World Border 
===================

Simple World Border mod. This is a Minetest Mod that limits the player movement within square area and shows a stop sign to the player at the border. If the world_border is changed, the player is pushed within the square area. This mod has no dependencies and it can be used with any Minetest Game.

The border size is by default 500 which produces 500x500 square around origin. This value can be configured with a setting in init.lua

```
	local world_border = 50
```

This mod may cause players to be pushed inside blocks (and by that I mean it will cause suffocation). Teleporting the moved players to a safe location is something to be implemented in the future.

Version: 1.0
License: GPL 3.0 or later
Dependencies: none

Report bugs or request help on the forum topic.

Installation
------------

Unzip the archive, rename the folder to worldborder and
place it in minetest/mods/

(  GNU/Linux: If you use a system-wide installation place
	it in ~/.minetest/mods/.  )

(  If you only want this to be used in a single world, place
	the folder in worldmods/ in your worlddirectory.  )

For further information or help see:
http://wiki.minetest.com/wiki/Installing_Mods

Similar mods
------------

There are already similar mods which might be better fit than this one:

- World Borders by Argyle https://content.minetest.net/packages/argyle/borders/
- World Edge by Don https://content.minetest.net/packages/Don/worldedge/

I created Simple World Border because World Borders depends on default and it uses worldgen limits as edges. I did not want to modify worldgen and it does not fit that well to Games that do not use default. The second mod, World Edge was actually the base of this mod. It had different use case which I found interesting but not that useful for my use case.

Great mods. Check them out!